Page MenuHomePhabricator

Lower Thumbor SUBPROCESS_TIMEOUT to 59 seconds to avoid tripping Varnish slow log
Closed, ResolvedPublic

Description

The Varnish slow log fetch time limit is set at 60 seconds. With the same limit used for SUBPROCESS_TIMEOUT, we are currently tripping the slow log more than we should, for what is expected behavior.

Details

Related Gerrit Patches:

Event Timeline

Gilles triaged this task as Normal priority.Jan 22 2018, 12:26 PM
Gilles created this task.
Gilles added a project: Thumbor.

Change 405698 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/puppet@production] Lower Thumbor subprocess timeout to 59 seconds

https://gerrit.wikimedia.org/r/405698

Gilles moved this task from Inbox to Doing on the Performance-Team board.Jan 30 2018, 9:02 PM

Change 405698 merged by Filippo Giunchedi:
[operations/puppet@production] Lower Thumbor subprocess timeout to 59 seconds

https://gerrit.wikimedia.org/r/405698

Mentioned in SAL (#wikimedia-operations) [2018-02-01T10:33:14Z] <godog> roll restart thumbor to lower subprocess timeout - T185479

Gilles closed this task as Resolved.Feb 1 2018, 10:52 AM